#!/bin/sh

. /etc/rc.d/rc.conf

while [[ 1 ]]; do
        # check if we have an IP address and set the LED if so
        HAVE_IP=`ifconfig eth0 | grep RUNNING`                  
        if [ "$HAVE_IP" != "" ]; then                        
		HAVE_IP=`ifconfig eth0 | grep "inet addr"`
		if [ "$HAVE_IP" != "" ]; then
                	echo "N11" > /root/scada_debug
                else
			HAVE_IP=`ifconfig eth0:0 | grep "inet addr"`
                	if [ "$HAVE_IP" != "" ]; then
	                	echo "N11" > /root/scada_debug
	                else
	                	echo "N10" > /root/scada_debug
	                fi
                fi
        else                                                 
	        echo "N10" > /root/scada_debug                      
        fi                                                          
                                                                                                                                         
	# check that the network is configured for static IP
	USE_DHCP=`grep IPADDR0 /etc/rc.d/rc.conf | grep dhcp`
	if [ "$USE_DHCP" != "" ]; then
		echo "using DHCP - no fixups needed"
	else
		# echo "using static IP - verify the gateway is set"
		GATEWAY_SET=`route -n | grep $GATEWAY0`
		if [ "$GATEWAY_SET" == "" ]; then
			echo "static IP - gateway is NOT set!  setting it..."
			route add default gateway $GATEWAY0 $INTERFACE0
		else
			echo "static IP - gateway is set - no fixup needed"
		fi
	fi
	sleep 5
done

